## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global unstable 0
%global kf5min 5.90
%global qtmin 5.15.0
%global sover 12

Name:           kpmcore
Version:        22.12.3
Release:        1%{?dist}
Summary:        Library for managing partitions by KDE programs
License:        GPLv3+
URL:            https://github.com/KDE/kpmcore
%if 0%{?unstable}
Source0:        http://download.kde.org/unstable/release-service/%{version}/src/%{name}-%{version}.tar.xz
%else
Source0:        http://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
%endif

BuildRequires:  cmake >= 3.16
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  kf5-kcoreaddons-devel >= %{kf5min}
BuildRequires:  kf5-ki18n-devel >= %{kf5min}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{kf5min}
BuildRequires:  qt5-qtbase-devel >= %{qtmin}
BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(blkid) >= 2.33.2
BuildRequires:  pkgconfig(polkit-qt5-1)

Requires:       e2fsprogs
Requires:       kf5-filesystem

Recommends:     dosfstools
Recommends:     exfatprogs
Recommends:     f2fs-tools
Recommends:     fatresize
Recommends:     hfsutils
Recommends:     hfsplus-tools
Recommends:     jfsutils
Recommends:     nilfs-utils
Recommends:     ocfs2-tools
Recommends:     udftools

%description
KPMcore contains common code for managing partitions by KDE Partition Manager 
and other KDE projects


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}


%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build


%install
%cmake_install
%find_lang %{name}
%find_lang %{name}._policy_


%files -f %{name}.lang -f %{name}._policy_.lang
%license LICENSES/*
%doc README.md
%{_kf5_libdir}/libkpmcore.so.%{sover}
%{_kf5_libdir}/libkpmcore.so.%{version}
%{_kf5_qtplugindir}/kpmcore
%{_libexecdir}/kpmcore_externalcommand
%{_datadir}/dbus-1/system.d/org.kde.kpmcore.*.conf
%{_datadir}/dbus-1/system-services/org.kde.kpmcore.*.service
%{_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy

%files devel
%{_includedir}/%{name}/
%{_kf5_libdir}/cmake/KPMcore
%{_kf5_libdir}/libkpmcore.so


%changelog
* Thu Mar 02 2023 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.12.3-1
- feat: 22.12.3

* Tue Jan 31 2023 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.12.2-1
- 22.12.2

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 22.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 04 2023 Justin Zobel <justin@1707.io> - 22.12.1-1
- Update to 22.12.1 and remove extraneous changelog

* Tue Jan 03 2023 Justin Zobel <justin@1707.io> - 22.12.0-2
- Update to 22.12.1

* Mon Dec 19 2022 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.12.0-1
- 22.12.0

* Fri Nov 04 2022 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.08.3-1
- 22.08.3

* Sat Oct 15 2022 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.08.2-1
- fix: update spec file

* Sat Oct 15 2022 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.08.1-2
- 22.08.2

* Thu Sep 08 2022 Marc Deop i Argemí <marcdeop@fedoraproject.org> - 22.08.1-1
- 22.08.1

* Sun Aug 21 2022 Marc Deop <marcdeop@fedoraproject.org> - 22.08.0-1
- 22.08.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 22.04.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 18 2022 Than Ngo <than@redhat.com> - 22.04.3-1
- 22.04.3

* Sat May 14 2022 Mattia Verga <mattia.verga@protonmail.com> - 22.04.1-1
- Release stable version 22.04.1

* Sat May 07 2022 Mattia Verga <mattia.verga@protonmail.com> - 22.03.80-2
- Use rpmautospec

* Sat Mar 19 2022 Mattia Verga <mattia.verga@protonmail.com> - 22.03.80-1
- Unstable release 22.03.80

* Thu Mar 03 2022 Marc Deop <marcdeop@fedoraproject.org> - 21.12.3-1
- 21.12.3

* Mon Feb 14 2022 Marc Deop <marcdeop@fedoraproject.org> - 21.12.2-1
- 21.12.2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 21.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 06 2022 Mattia Verga <mattia.verga@protonmail.com> - 21.12.1-1
- Release bugfix version 21.12.1

* Thu Dec 16 2021 Mattia Verga <mattia.verga@protonmail.com> - 21.12.0-1
- Update to stable version 21.12.0

* Mon Nov 15 2021 Mattia Verga <mattia.verga@protonmail.com> - 21.11.80-1
- Release development version 21.11.80

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 21.04.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Apr 25 2021 Mattia Verga <mattia.verga@protonmail.com> - 21.04.0-1
- Update to stable release 21.04.0

* Sat Mar 06 2021 Mattia Verga <mattia.verga@protonmail.com> - 20.12.3-1
- Update to 20.12.3

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 13 2020 Mattia Verga <mattia.verga@protonmail.com> - 20.12.0-1
- Release stable version 20.12.0

* Sun Dec 06 2020 Mattia Verga <mattia.verga@protonmail.com> - 20.11.90-1
- Update to unstable release 20.11.90

* Tue Nov 17 2020 Mattia Verga <mattia.verga@protonmail.com> - 20.11.80-2
- Removed Kauth BuildRequires

* Sat Nov 14 2020 Mattia Verga <mattia.verga@protonmail.com> - 20.11.80-1
- Move to KDE release-service versioning

* Sat Oct 17 2020 Mattia Verga <mattia.verga@protonmail.com> - 4.2.0-1
- Update to stable version 4.2.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.1.0-2
- Improve compatibility with new CMake macro

* Mon Feb 10 2020 Mattia Verga <mattia.verga@protonmail.com> - 4.1.0-1
- Update to 4.1.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Oct 12 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.1-1
- Update to stable 4.0.1

* Mon Aug 05 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-9
- ...and again...

* Mon Aug 05 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-8
- Hopefully the last fix

* Mon Aug 05 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-7
- Try again to fix %%%%files section

* Sun Aug 04 2019 Mattia Verga <mattia@fedoraproject.org> - 4.0.0-6
- Fix %%%%files section RHBZ#1735969

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 11 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-4
- Bump release number

* Sat May 11 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-3
- Backport patch to fix partition restoring

* Sun May 05 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-2
- Fix a wrong date in the changelog.

* Sun May 05 2019 Mattia Verga <mattia.verga@protonmail.com> - 4.0.0-1
- Update to stable 4.0.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Mattia Verga <mattia.verga@yandex.com> - 3.3.0-3
- Remove ldconfig scriptlets

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Dec 26 2017 Mattia Verga <mattia.verga@email.it> - 3.3.0-1
- Update to stable 3.3.0

* Wed Nov 01 2017 Mattia Verga <mattia.verga@email.it> - 3.2.1-1
- Update to stable 3.2.1

* Sun Oct 01 2017 Mattia Verga <mattia.verga@email.it> - 3.2.0-2
- Correct kf5 dependencies

* Sun Oct 01 2017 Mattia Verga <mattia.verga@email.it> - 3.2.0-1
- Update to 3.2.0 stable; Soname bump to version 6; Remove some no more
  needed kf5 dependencies; Add udftools as recommended package.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 06 2017 Mattia Verga <mattia.verga@email.it> - 3.1.2-1
- Update to 3.1.2

* Sun Jun 04 2017 Mattia Verga <mattia.verga@tiscali.it> - 3.1.0-1
- Update to 3.1.0 Soname bump to libkpmcore.so.5

* Thu Feb 09 2017 Mattia Verga <mattia.verga@tiscali.it> - 3.0.3-1
- Update to stable 3.0.3

* Sun Jan 15 2017 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.0.2-1
- Update to stable 3.0.2

* Sun Jan 01 2017 Mattia Verga <mattia.verga@tiscali.it> - 3.0.1-1
- Update to 3.0.1 to prevent possible data loss

* Wed Dec 21 2016 Mattia Verga <mattia.verga@tiscali.it> - 3.0.0-1
- Update to stable 3.0.0

* Fri Nov 25 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.9.90-2
- Backport patch from upstream to fix Calamares bug CAL-416

* Wed Nov 09 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.9.90-1
- Upgrade to unstable 2.9.90 Soname bump to libkpmcore.so.4 Extended LVM
  support

* Sun Jul 10 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.2.1-1
- Update to 2.2.1 Switch to hfsplus-tools

* Sun Jun 12 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.2.0-3
- Add weak dependencies to less used filesystem tools

* Sat Jun 11 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.2.0-2
- Revert kf5 includedir declaration

* Sat Jun 11 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.2.0-1
- Update to 2.2.0 Soname bump to libkpmcore.so.3

* Sun May 15 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.1.1-3
- Fix it again

* Sun May 15 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.1.1-2
- Fix directory declaration

* Sun May 15 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.1.1-1
- Upgrade to 2.1.1

* Sun Mar 13 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.1.0-1
- Update to 2.1.0 Soname bump to libkpmcore.so.2

* Sun Feb 28 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.0.1-1
- Update to stable 2.0.1 Use pkgconfig for BR Fix rename of -devel package

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.0.0-2
- Better formatting of .spec file

* Sun Jan 17 2016 Mattia Verga <mattia.verga@tiscali.it> - 2.0.0-1
- Initial import (#1299147).
